LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XChangeBroadcaster Interface Referencepublished

provides functionality to notify listeners of data changes. More...

`import"XChangeBroadcaster.idl";`

Inheritance diagram for XChangeBroadcaster:

## Public Member Functions
void | addChangeListener ([in] com::sun::star::form::XChangeListener aListener)
| adds the specified listener to receive the "changed" event. More...
void | removeChangeListener ([in] com::sun::star::form::XChangeListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functionality to notify listeners of data changes.

The concrete semantics of a change (i.e. the conditions for when a change event is fired) must be specified in the service description of the providing service.

See also
  XChangeListener

## Member Function Documentation

## ◆ addChangeListener()

void addChangeListener | ( | [in] com::sun::star::form::XChangeListener | aListener | ) |

adds the specified listener to receive the "changed" event.

Parameters

  aListener | the listener to add.

See also
  com::sun::star::form::XChangeListener

## ◆ removeChangeListener()

void removeChangeListener | ( | [in] com::sun::star::form::XChangeListener | aListener | ) |

removes the specified listener.

Parameters

  aListener | the listener to remove.

See also
  com::sun::star::form::XChangeListener

The documentation for this interface was generated from the following file:

- com/sun/star/form/XChangeBroadcaster.idl